[helm/charts] Migrate to statefulstate apiversion to apps/v1 (#23294)

From: notifications@github.com
Domain: IP info github.com
MX-server: IP info out-17.smtp.github.com
Size: 2636 Bytes
Create: 2020-07-22
Update: 2020-07-22
Score: 0
Safe: Yes

Outbound domains: github.com |

StatefulSet in the apps/v1beta1 and apps/v1beta2 API versions is no longer served.
Migrate to use the apps/v1 API version, available since v1.9.
https://kubernetes.io/blog/2019/07/18/api-deprecations-in-1-16/

What this PR does / why we need it:

Statefulset is no longer served in app/v1beta2, which cause the error when helm install

  Error: Failed to render chart: exit status 1: Error: unable to build kubernetes objects from release manifest: unable to recognize
 "": no matches for kind "StatefulSet" in version "apps/v1beta2"

You can view, comment on, or merge this pull request online at:

  https://github.com/helm/charts/pull/23294

Commit Summary

  • Migrate to apps/v1

File Changes

  • M incubator/etcd/README.md (2)
  • M incubator/etcd/templates/statefulset.yaml (2)

Patch Links:

  • https://github.com/helm/charts/pull/23294.patch
  • https://github.com/helm/charts/pull/23294.diff


You are receiving this because you are subscribed to this thread.
Reply to this email directly, view it on GitHub, or unsubscribe.

Want to protect your real email from messages like this? Use TempM email and be more secure on the internet.